[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetuid

Return current user ID

## Declaration

Source position: bunxh.inc line 48

`function FpGetuid: TUid;`

## Description

FpGetuid returns the real user ID of the currently running process.

## Errors

None.

## See also

FpGetGid |  | Return real group ID
FpGetEUid |  | Return effective user ID
FpGetEGid |  | Return effective group ID
FpGetPid |  | Return current process ID
FpGetPPid |  | Return parent process ID
fpSetUID |  | Set the current user ID

## Example

    Program Example17;

    { Program to demonstrate the GetUid and GetEUid functions. }

    Uses BaseUnix;

    begin
      writeln ('User Id = ',fpgetuid,' Effective user Id = ',fpgeteuid);
    end.